Group: System/Base
# BEGIN SourceDeps(oneline):
BuildRequires: libdmalloc-devel
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		psiconv
Version:	0.9.8
Release:	alt5_44
Summary:	A conversion utility for Psion files
License:	GPLv2+
URL:		http://software.frodo.looijaard.name/psiconv/
Source0:	http://software.frodo.looijaard.name/psiconv/files/%{name}-%{version}.tar.gz
Patch0:	psiconv-0.9.8-gcc10.patch
Patch1: psiconv-checkuid-stdlib.h
Patch2: psiconv-configure-c99.patch
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:	libImageMagick-devel
BuildRequires:	bc
Source44: import.info

%description
A conversion utility for the Psion files

%package devel
Group: Development/Other
Summary:	Development files for psiconv
Requires:	%{name} = %{version}-%{release}

%description devel
Contains library and header files for psiconv

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1


%build
%configure --disable-static
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
%make_build


%install
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'
mv $RPM_BUILD_ROOT%{_datadir}/%{name} _doc





%files
%doc COPYING NEWS README TODO ChangeLog AUTHORS 
%dir %{_sysconfdir}/psiconv
%config %{_sysconfdir}/psiconv/psiconv.conf 
%config %{_sysconfdir}/psiconv/psiconv.conf.eg
%{_bindir}/psiconv
%{_mandir}/man1/psiconv.1*
%{_libdir}/libpsiconv.so.6
%{_libdir}/libpsiconv.so.6.4.2


%files devel
%doc _doc/*
%{_bindir}/psiconv-config
%{_mandir}/man1/psiconv-config.1*
%{_libdir}/libpsiconv.so
#%{_datadir}/psiconv/
%{_includedir}/psiconv/


%changelog
* Sat Mar 23 2024 Igor Vlasenko <viy@altlinux.org> 0.9.8-alt5_44
- update to new release by fcimport

* Thu Mar 21 2024 Cronbuild Service <cronbuild@altlinux.org> 0.9.8-alt5_42
- rebuild to get rid of unmets

* Thu Aug 31 2023 Igor Vlasenko <viy@altlinux.org> 0.9.8-alt4_42
- update to new release by fcimport

* Wed Feb 22 2023 Igor Vlasenko <viy@altlinux.org> 0.9.8-alt4_41
- update to new release by fcimport

* Sun Aug 07 2022 Igor Vlasenko <viy@altlinux.org> 0.9.8-alt4_38
- update to new release by fcimport

* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 0.9.8-alt4_37
- update to new release by fcimport

* Thu Oct 21 2021 Igor Vlasenko <viy@altlinux.org> 0.9.8-alt4_36
- update to new release by fcimport

* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 0.9.8-alt4_35
- update to new release by fcimport

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 0.9.8-alt4_34
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 0.9.8-alt4_33
- update to new release by fcimport

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 0.9.8-alt3_33
- update to new release by fcimport

* Thu Feb 27 2020 Igor Vlasenko <viy@altlinux.ru> 0.9.8-alt3_32
- update to new release by fcimport

* Tue Aug 06 2019 Igor Vlasenko <viy@altlinux.ru> 0.9.8-alt3_30
- update to new release by fcimport

* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 0.9.8-alt3_29
- update to new release by fcimport

* Fri Jan 25 2019 Igor Vlasenko <viy@altlinux.ru> 0.9.8-alt3_28
- update to new release by fcimport

* Tue Jun 12 2018 Cronbuild Service <cronbuild@altlinux.org> 0.9.8-alt3_25
- rebuild to get rid of unmets

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 0.9.8-alt2_25
- update to new release by fcimport

* Thu Oct 12 2017 Igor Vlasenko <viy@altlinux.ru> 0.9.8-alt2_23
- update to new release by fcimport

* Fri Sep 29 2017 Cronbuild Service <cronbuild@altlinux.org> 0.9.8-alt2_19
- rebuild to get rid of unmets

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 0.9.8-alt1_19
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 0.9.8-alt1_18
- update to new release by fcimport

* Wed Sep 10 2014 Igor Vlasenko <viy@altlinux.ru> 0.9.8-alt1_17
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.9.8-alt1_16
- update to new release by fcimport

* Wed May 14 2014 Igor Vlasenko <viy@altlinux.ru> 0.9.8-alt1_15
- update to new release by fcimport

* Mon Sep 02 2013 Igor Vlasenko <viy@altlinux.ru> 0.9.8-alt1_14
- update to new release by fcimport

* Fri Apr 26 2013 Igor Vlasenko <viy@altlinux.ru> 0.9.8-alt1_13
- initial fc import

